<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
$temp_set = $set;
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

access('adm_set_user', null, 'index.php?' . SID);
adm_check();

$set['title'] = lang('Пользовательские настройки');
require_once H . 'sys/inc/thead.php';

if (isset($_POST['save'])) {
    if ($_POST['guest_select'] == 1 || $_POST['guest_select'] == 0) {
        $temp_set['guest_select'] = intval($_POST['guest_select']);
    }
    $temp_set['reg_select'] = esc($_POST['reg_select']);
    if (save_settings($temp_set)) {
        admin_log(lang('Настройки'), lang('Пользователи'), lang("Изменение пользовательских настроек"));
        $_SESSION['message'] = lang('Изменения сохранены');

        header("Location: ?");
        exit();
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Пользовательские настройки');
echo "</small></div><br />";

echo "<form class='list-group-item-null' method='post' action='?'>";

echo lang('Режим регистрации') . ":<br />";
echo "<select class='form-control' name='reg_select'>";
echo "<option value='close'>Закрыта</option>\n";
if ($temp_set['reg_select'] == 'open') {
    $sel = ' selected = "selected"';
} else {
    $sel = NULL;
}

echo "<option value='open'$sel>Открыта</option>\n";

if ($temp_set['reg_select'] == 'open_mail') {
    $sel = ' selected = "selected"';
} else {
    $sel = NULL;
}

echo "<option value='open_mail'$sel>Открыта + E-mail</option>\n";
echo "</select>";

echo lang('Режим гостя') . ":<br //>";
echo "<select class='form-control' name='guest_select'>";
echo "<option value='0'>Открыто все</option>\n";

if ($temp_set['guest_select'] == '1') {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}

echo "<option value='1'$sel>Закрыто все *</option>\n";
echo "</select><br />";

echo " * остаются открытыми регистрация и авторизация<br />\n";

$doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
echo "</form>\n";

require_once H . 'sys/inc/tfoot.php';
